Bug 514354 - autopartition algorithm does not scale
autopartition algorithm does not scale
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-07-28 19:38 EDT by Chris Lumens
Modified: 2010-07-14 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 13:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2009-07-28 19:38:06 EDT
Today I did an installation of F11 onto a machine with > 300 LUNs visible and available for use.  I picked the defaults on the parttype screen and clicked next.  After this, I had enough time to talk for a while, go down the hall for a drink, come back, and see that it was still not done.  tty4 showed that the storage.log was constantly being written to.

I did two tests - one with clicking next to go to the custom partitioning screen, and one with just accepting the defaults.  The same behavior was observed each time.  Therefore, I believe this is more than just UI slowness but is the underlying autopart algorithm.

I have the log files, but they're dozens of megs so I'd rather not attach to a bug.
Comment 1 Bug Zapper 2010-03-15 08:44:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Lumens 2010-05-28 10:30:22 EDT
Jeff - this is the bug I was hoping to take a look at on the machine down in the lab with 88 disks visible.

Note You need to log in before you can comment on or make changes to this bug.